org.apache.coyote.http2

## Enum Http2Error

- java.lang.Object
- - java.lang.Enum<Http2Error>
  - - org.apache.coyote.http2.Http2Error

- All Implemented Interfaces:
    Serializable, Comparable<Http2Error>

      public enum Http2Error
      extends Enum<Http2Error>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCEL`
    `COMPRESSION_ERROR`
    `CONNECT_ERROR`
    `ENHANCE_YOUR_CALM`
    `FLOW_CONTROL_ERROR`
    `FRAME_SIZE_ERROR`
    `HTTP_1_1_REQUIRED`
    `INADEQUATE_SECURITY`
    `INTERNAL_ERROR`
    `NO_ERROR`
    `PROTOCOL_ERROR`
    `REFUSED_STREAM`
    `SETTINGS_TIMEOUT`
    `STREAM_CLOSED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCode()`
    `byte[]` | `getCodeBytes()`
    `static Http2Error` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Http2Error[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_ERROR

          public static final Http2Error NO_ERROR

    - #### PROTOCOL_ERROR

          public static final Http2Error PROTOCOL_ERROR

    - #### INTERNAL_ERROR

          public static final Http2Error INTERNAL_ERROR

    - #### FLOW_CONTROL_ERROR

          public static final Http2Error FLOW_CONTROL_ERROR

    - #### SETTINGS_TIMEOUT

          public static final Http2Error SETTINGS_TIMEOUT

    - #### STREAM_CLOSED

          public static final Http2Error STREAM_CLOSED

    - #### FRAME_SIZE_ERROR

          public static final Http2Error FRAME_SIZE_ERROR

    - #### REFUSED_STREAM

          public static final Http2Error REFUSED_STREAM

    - #### CANCEL

          public static final Http2Error CANCEL

    - #### COMPRESSION_ERROR

          public static final Http2Error COMPRESSION_ERROR

    - #### CONNECT_ERROR

          public static final Http2Error CONNECT_ERROR

    - #### ENHANCE_YOUR_CALM

          public static final Http2Error ENHANCE_YOUR_CALM

    - #### INADEQUATE_SECURITY

          public static final Http2Error INADEQUATE_SECURITY

    - #### HTTP_1_1_REQUIRED

          public static final Http2Error HTTP_1_1_REQUIRED

  - ### Method Detail

    - #### values

          public static Http2Error[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Http2Error c : Http2Error.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Http2Error valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public long getCode()

    - #### getCodeBytes

          public byte[] getCodeBytes()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.